Skip to Content
inclamoDocs

Fetch user profile

GET
/api/v1/profile

Get the user profile details

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Response Body

Success

application/json
  1. response
id?number
access_token?string
account_id?number
available_name?string
avatar_url?string
confirmed?boolean
display_name?string|null
message_signature?string|null
email?string
hmac_identifier?string
inviter_id?number|null
name?string
provider?string
pubsub_token?string
role?string
Value in"agent""administrator"
ui_settings?
uid?string
type?string|null
custom_attributes?

Available for users who are created through platform APIs and has custom attributes associated.

accounts?array<>
Example Request
curl -X GET 'https://helpdesk.inclamo.com/api/v1/profile'
Example Response
{  "id": 0,  "access_token": "string",  "account_id": 0,  "available_name": "string",  "avatar_url": "string",  "confirmed": true,  "display_name": "string",  "message_signature": "string",  "email": "string",  "hmac_identifier": "string",  "inviter_id": 0,  "name": "string",  "provider": "string",  "pubsub_token": "string",  "role": "agent",  "ui_settings": {},  "uid": "string",  "type": "string",  "custom_attributes": {},  "accounts": [    {      "id": 0,      "name": "string",      "status": "string",      "active_at": "2019-08-24T14:15:22Z",      "role": "administrator",      "permissions": [        "string"      ],      "availability": "string",      "availability_status": "string",      "auto_offline": true,      "custom_role_id": 0,      "custom_role": {}    }  ]}